Fully featured low overhead profiler for Java EE and Java SE platforms.
Ultimate profiling and monitoring solution for Gradle, Maven, Ant, JUnit and TestNG.
Easy to use performance and memory profiler for .NET framework.

Incompatible profiler agent version

Moderators: Vladimir Kondratyev, Anton Katilin

Incompatible profiler agent version

Postby alibj » Fri Jun 02, 2017 3:35 pm

I am attempting to call the Java code:
controller = new Controller();

This has worked with no issues in the past.

My log shows:

com.yourkit.runtime.PresentableException: Cannot connect to the profiled application.
The application has been started with incompatible profiler agent version:

Client version: YourKit Java Profiler 2017.02-b59
Agent version: YourKit Java Profiler 2017.02-b59
at com.yourkit.api.ControllerImpl$1$1.perform(ControllerImpl.java:151)
at com.yourkit.api.ControllerImpl.makeRequest(ControllerImpl.java:251)
at com.yourkit.api.ControllerImpl.access$000(ControllerImpl.java:21)
at com.yourkit.api.ControllerImpl$1.run(ControllerImpl.java:133)
at com.yourkit.api.ControllerImpl$30.perform(ControllerImpl.java:1042)
at com.yourkit.api.ControllerImpl.makeRequest(ControllerImpl.java:233)
at com.yourkit.api.ControllerImpl.runBatch(ControllerImpl.java:1036)
at com.yourkit.api.ControllerImpl.<init>(ControllerImpl.java:128)
at com.yourkit.api.Controller.<init>(Controller.java:100)
at com.yourkit.api.Controller.<init>(Controller.java:57)
alibj
 
Posts: 3
Joined: Wed Apr 20, 2016 2:21 pm

Re: Incompatible profiler agent version

Postby alibj » Fri Jun 02, 2017 3:55 pm

I found an older yjp-controller-api-redist.jar in my runtime path.
Removing this resolved the issue.
alibj
 
Posts: 3
Joined: Wed Apr 20, 2016 2:21 pm

Re: Incompatible profiler agent version

Postby Anton Katilin » Tue Jun 06, 2017 4:19 am

Thanks for informing us that the issues is solved.
Anton Katilin
 
Posts: 5576
Joined: Wed Aug 11, 2004 8:37 am


Return to Java Profiler

Who is online

Users browsing this forum: No registered users and 10 guests